#!/usr/bin/gnuplot

DT = 0.314159
P = 20.*DT
f(t) = t/P

set term x11

set xl "t [yr]"
set yl "a [au]"

p \
  "<awk '(FNR==1){ print s; }($1==1){ print ARGIND,$0; }' ../out/*.txt" u (f($3)):4:1 w l lc palette z,\
  "<awk '($1==1)' ../out/output_0.422.txt" u (f($2)):3 w l,\

pa -1

q
  "<awk '($1==1)' ../out/output_0.431.txt" u (f($2)):3 w l,\

