#!/usr/bin/gnuplot

DT = 0.314159
P = 20*DT
f(t) = t/P

set xl "t [yr]"
set yl "a [au]"

set xr [:12000]
set yr [:1.6]

p \
  "<awk '($1==1)' output.txt" u (f($2)):3 t "1" w l,\
  "<awk '($1==2)' output.txt" u (f($2)):3 t "2" w l,\
  "<awk '($1==3)' output.txt" u (f($2)):3 t "3" w l,\
  "<awk '($1==4)' output.txt" u (f($2)):3 t "4" w l,\
  "<awk '($1==5)' output.txt" u (f($2)):3 t "5" w l,\

pa -1

