#!/usr/bin/env python

import random
import sys
import subprocess

mass = [ 1.66e-7, 2.45e-6, 1.50e-6, 1.50e-6, 3.23e-7 ]
a = [ 0.387, 0.723, 1.000, 1.250, 1.523 ]

random.seed(-1)

n = 60
for i in xrange(0,n+1):
    a_V = 0.440
    a_m = a_V - 0.030 + 0.060/n*i
    print "a_m = ", a_m, " au"
    print "a_V = ", a_V, " au"

    f = open("embryos.cfg", "w")

    for j in xrange(0,5):
        if j == 0:
            a_ = a_m
            e = 1.0e-5*random.random()
        elif j == 1:
            a_ = a_V
            e = 0.020
        else:
            a_ = a[j]
            e = 1.0e-5*random.random()
        inc = 1.0e-3*random.random()
        peri = 360.0*random.random()
        node = 360.0*random.random()
        f_ = 360.0*random.random()

        f.write("Embryo%d   %.6e 0.000000 %.6e   %.6e %.6e %.6e %.6e %.6e %.6e\n" % (j+1, mass[j], mass[j], a_, e, inc, peri, node, f_))

    f.close()

    subprocess.check_output("./rebound", shell=True)
    subprocess.check_output("mv output.txt out/output_%5.3f.txt" % (a_m), shell=True)
    subprocess.check_output("mv final.bin out/final_%5.3f.bin" % (a_m), shell=True)
    subprocess.check_output("mv embryos.cfg out/embryos_%5.3f.cfg" % (a_m), shell=True)

#    sys.exit(1)


